
Redmine - Defect #14239

Error 403 when trying to edit custom query

2013-06-08 02:17 - Filou Centrinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.3.1

Description

I get an error 403 when I try to edit a custom query. How to reproduce:

1) login as admin

2) create a custom query

3) query settings: "Public" + "For all projects"

4)  save query

5) login as non admin user and manager of a project

6) edit the custom query. You will get an error 403 with warning "You are not authorized to access this page."

Tested on Redmine 2.3.1.stable.11941, no plugins.

Related issues:

Related to Redmine - Defect #17669: Non admin users can't modify public queri... Closed

Related to Redmine - Defect #28264: Global and public custom queries are show... Closed

History

#1 - 2014-09-16 07:00 - tomoaki maeda

Its reproducing on 2.5.1.stable

#2 - 2014-09-16 09:46 - Michael Esemplare

Duplicate of #17669.

#3 - 2014-10-15 06:16 - Toshi MARUYAMA

- Related to Defect #17669: Non admin users can't modify public queries for all project added

#4 - 2018-02-28 22:38 - Marius BĂLTEANU

- Related to Defect #28264: Global and public custom queries are shown as editable to non administrators in projects added

#5 - 2018-04-29 07:52 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Fixed

I'm considering this defect as fixed because the Edit/Delete buttons are no longer available to users without required permissions (fixed in #28264).
